-- Create a copy of the Power Armor MK2
local custom_armor = table.deepcopy(data.raw["armor"]["power-armor-mk2"])
custom_armor.name = "jareds-power-armor"
custom_armor.localised_name = "Jared's Power Armor"
custom_armor.icons = {{icon = custom_armor.icon, tint = {r=0.5, g=0.5, b=1, a=1}}}

-- Re-enable and customize the equipment grid
custom_armor.equipment_grid = "jareds-equipment-grid"

-- Remove resistances
custom_armor.resistances = {}
custom_armor.durability = 20000  -- Set a high durability since there's no resistance

-- Keep some additional buffs
custom_armor.character_inventory_slots_bonus = 10

-- Create a custom equipment grid
local custom_grid = table.deepcopy(data.raw["equipment-grid"]["large-equipment-grid"])
custom_grid.name = "jareds-equipment-grid"
custom_grid.width = 4
custom_grid.height = 2

-- Custom robot
local custom_robot = table.deepcopy(data.raw["construction-robot"]["construction-robot"])
custom_robot.name = "jareds-robots"
custom_robot.localised_name = "Jared's Robots"
custom_robot.icons = {{icon = custom_robot.icon, tint = {r=0.2, g=0.2, b=0.8, a=1}}}

-- Modify robot properties
custom_robot.max_energy = "0kJ"  -- No energy cost
custom_robot.energy_per_move = "0J"
custom_robot.energy_per_tick = "0W"
custom_robot.speed = custom_robot.speed * 5  -- 5x speed
custom_robot.speed_multiplier_when_out_of_energy = 1  -- Always moves at full speed

-- Create item for the custom robot
local custom_robot_item = table.deepcopy(data.raw["item"]["construction-robot"])
custom_robot_item.name = "jareds-robots"
custom_robot_item.localised_name = "Jared's Robots"
custom_robot_item.icons = custom_robot.icons
custom_robot_item.place_result = "jareds-robots"


-- Extend the data with our custom items
data:extend({
    custom_armor, 
    custom_grid, 
    custom_robot, 
    custom_robot_item
})